import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _PKIdentityElement extends _NSObject {
    static alloc(): _PKIdentityElement;
    static new(): _PKIdentityElement;
    init(): _PKIdentityElement;
    /**
     * Boolean indicating whether the user's age is at least the given age. For example, ageThresholdElementWithAge:21 will return true if the user is at least 21 years old. This value is only available for a given age if it was provided by the issuer. If this value is not available, it will automatically fall back to a request for age.
     */
    static ageThresholdElementWithAge$(age: number): _PKIdentityElement;
    /** The user's given name or first name. */
    static givenNameElement(): _PKIdentityElement;
    /** The user's family name or last name. */
    static familyNameElement(): _PKIdentityElement;
    /** The portrait of the user on record with the issuer. */
    static portraitElement(): _PKIdentityElement;
    /** The address on record with the issuer. */
    static addressElement(): _PKIdentityElement;
    /** The user's height on record with the issuer. */
    static heightElement(): _PKIdentityElement;
    /** The user's weight on record with the issuer. */
    static weightElement(): _PKIdentityElement;
    /** The user's eye color on record with the issuer. */
    static eyeColorElement(): _PKIdentityElement;
    /** The user's hair color on record with the issuer. */
    static hairColorElement(): _PKIdentityElement;
    /** The user's organ donor status on record with the issuer. */
    static organDonorStatusElement(): _PKIdentityElement;
    /** The user's veteran status on record with the issuer. */
    static veteranStatusElement(): _PKIdentityElement;
    /** The state or government that issued the identity document. */
    static issuingAuthorityElement(): _PKIdentityElement;
    /**
     * The document's issue date. This is usually the issue date of the corresponding physical document, if applicable.
     */
    static documentIssueDateElement(): _PKIdentityElement;
    /**
     * The document's expiration date. This is usually the expiration date of the corresponding physical document, if applicable.
     */
    static documentExpirationDateElement(): _PKIdentityElement;
    /**
     * The document's DHS (U.S. Department of Homeland Security) compliance status. This is also known as the document's "REAL ID status".
     */
    static documentDHSComplianceStatusElement(): _PKIdentityElement;
    /** The document's number, as defined by the document's issuing authority. */
    static documentNumberElement(): _PKIdentityElement;
    /** The user's driving privileges. */
    static drivingPrivilegesElement(): _PKIdentityElement;
    /** The user's age in years. */
    static ageElement(): _PKIdentityElement;
    /** The user's date of birth. */
    static dateOfBirthElement(): _PKIdentityElement;
    /** The user's sex. */
    static sexElement(): _PKIdentityElement;
}
export interface _PKIdentityElement extends _NSCopying {
}
